<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83bFormBusqIncidencias"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bIncidenciasBean" type="w83b.w83bBeans.W83bIncidenciasBean"/>
				<form-property name="codSelec" type="java.lang.String"/>	
		</form-bean>
		<form-bean
				name="w83bFormNuevaIncidencias"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bNuevaIncidenciasBean" type="w83b.w83bBeans.W83bNuevaIncidenciasBean"/>
								
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormBusqIncidencias[w83bIncidenciasBean],w83bNuevaIncidenciasBean,w83bNuevaIncidenciasEntradaBean"/>
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.incidencias"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.incidencias.filtro"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="busqRealizada" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaTemp" type="java.lang.String" initial="false"/>	
				<form-property name="busqRealizadaDelegados" type="java.lang.String" initial="false"/>	
				<form-property name="codSelec" type="java.lang.String"/>	
				
				<form-property name="migas" type="java.lang.String" initial ="inicio.incidencias"/>								
				
				<form-property name="w83bResultado" type="java.lang.String"/>
				
				<form-property name="w83bIncidenciasBean" type="w83b.w83bBeans.W83bIncidenciasBean"/>
				<form-property name="w83bIncidenciasTempBean" type="w83b.w83bBeans.W83bIncidenciasBean"/>				
				<form-property name="w83bNuevaIncidenciasBean" type="w83b.w83bBeans.W83bNuevaIncidenciasBean"/>
				<form-property name="w83bNuevaIncidenciasEntradaBean" type="w83b.w83bBeans.W83bNuevaIncidenciasBean"/>
				<form-property name="w83bNuevaIncidenciasTempBean" type="w83b.w83bBeans.W83bNuevaIncidenciasBean"/>
				<form-property name="w83bNuevaIncidenciasFichaBean" type="w83b.w83bBeans.W83bNuevaIncidenciasBean"/>
				<form-property name="w83bListaIncidencias" type="java.util.List"/>
				<form-property name="w83bListaIncidenciasBorrar" type="java.util.List"/>
				<form-property name="w83bListaIncidenciasValidacion" type="java.util.List"/>
				<form-property name="w83bListaDelegadosIncidencias" type="java.util.List"/>
				<form-property name="w83bDelegadosBean" type="w83b.w83bBeans.W83bDelegadosBean"/>
				
				<form-property name="w83bContarIncidencias" type="java.lang.Integer"/>			
				
				<form-property name="w83bMapaIncidencias" type="java.util.HashMap" />	
				<form-property name="w83bMapaFileIncidencias" type="java.util.HashMap" />
				<form-property name="w83bDocBean" type="w83b.w83bBeans.W83bDocBean"/>	
				
				<form-property name="w83bListResultado" type="java.util.List"/>
				<form-property name="w83bListaBorradoFileIncidencias" type="java.util.List"/>
				<form-property name="w83bListaDnis" type="java.util.List"/>
				<form-property name="w83bHashMapSindicatoEscrutinio" type="java.util.HashMap" />
				<form-property name="w83bPerfilUsuario" type="java.lang.String"/>
				<form-property name="idDocumento" type="java.lang.String"/>
				<form-property name="w83bRegManual" type="java.lang.String"/>
				
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				
				<form-property name="w83bprovincia" type="java.lang.String"/>
				<form-property name="w83bmunicipio" type="java.lang.String" />
				
				<form-property name="w83bCentroTrabajoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bCentroTrabajoNuevoBean" type="w83b.w83bBeans.W83bCentroTrabajoBean"/>
				<form-property name="w83bprovinciac" type="java.lang.String"/>
				<form-property name="w83bmunicipioc" type="java.lang.String" />
				
<!--				Variables para ir a Actas-->
				<form-property name="w83bSubOpFlag" type="java.lang.String" initial="incidencias"/>
				<form-property name="w83bListaActas" type="java.util.List"/>
				<form-property name="w83bMapaActas" type="java.util.HashMap" />
<!--				Fin Variables para ir a Actas-->
				<form-property name="w83bActasBean" type="w83b.w83bBeans.W83bActasBean"/>
				<form-property name="w83bDetalleActaTempBean" type="w83b.w83bBeans.W83bActasBean"/>
				<form-property name="guardado" type="java.lang.String" initial="false"/>
				<form-property name="tramite" type="java.lang.String"/>
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<action
				path ="/w83bInicioIncidencias" forward="paginaIncidencias"/>
		
		<action
				path ="/w83bInicioBusquedaIncidencias" forward="paginaBusqIncidenciasMenu"/>
				
		<action
				path ="/w83bInicioNuevaIncidencias" forward="paginaNuevaIncidenciasMenu"/>
		<action
				path ="/w83bInicioEdicionIncidenciasIncidencias" forward="paginaEdicionIncidenciasMenu"/>
		<action
				path ="/w83bInicioEdicionIncidenciasActas" forward="paginaEdicionIncidenciasActasMenu"/>
		
		<!-- Operaciones de Paso -->
		<action path="/w83bIrAInicioIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bIncidenciasInicioAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioIncidencias.do"/>
			<forward name="error" path="/w83bInicioIncidencias.do"/>
		</action>
		<action path="/w83bIrABusquedaIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bIncidenciasIraBusquedasAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaIncidencias.do"/>
			<forward name="error" path="/w83bInicioBusquedaIncidencias.do"/>
		</action>
		<action path="/w83bIrANuevaIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bIncidenciasIraNuevoAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevaIncidencias.do"/>
			<forward name="error" path="/w83bInicioNuevaIncidencias.do"/>
		</action>
		<action path="/w83bIrANuevaIncidenciasMenuOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bIncidenciasIraNuevoMenuAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevaIncidencias.do"/>
			<forward name="error" path="/w83bInicioNuevaIncidencias.do"/>
		</action>
		

		
		<!--	DISPATCHES-->
		<action
				path="/w83bDispatch"
				name="w83bFormBusqIncidencias"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.anyadir"
					path="/w83bIrANuevaIncidenciasOP.do"/>
				<forward
					name="comun.boton.exportaraExcel"
					path="/w83bTablaIncidenciasExcel.do"/>
				<forward
					name="comun.boton.editar"
					path="/W83bIrEdicionIncidenciaOP.do"/>
				<forward
					name="comun.boton.consultar"
					path="/W83bIrEdicionIncidenciaOP.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bAtrasIncidenciasBusq.do"/>
		</action>
		
		<action
				path="/w83bDispatchNueva"
				name="w83bFormNuevaIncidencias"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.incidencias.subsanacion"
					path="/W83bIncidenciasIraActasOP.do"/>
					<!-- nuevo leire -->
				<forward
					name="comun.incidencias.actaParcial"
					path="/W83bIncidenciasIraActasOP.do"/>
				<forward
					name="comun.boton.guardar"
					path="/W83bIrEdicionIncidenciaOP.do"/>
				<forward
					name="comun.boton.cancelar"
					path="/w83bInicioNuevaIncidencias.do"/>
		</action>
		
		<action
				path="/w83bDispatchEdicion"
				name="w83bFormNuevaIncidencias"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.guardar"
					path="/w83bActualizarIncidenciaOI.do"/>
				<forward
					name="comun.boton.imprimirFicha"
					path="/w83bTablaIncidenciasFichaExcel.do"/>
				<forward
					name="comun.boton.imprimirFichaActa"
					path="/w83bBuscarDatosFichaActa.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bDispatchVueltaIncidencias.do"/>
		</action>
		
		<action
				path="/w83bDispatchVueltaActas"
				scope="request"
				parameter="w83bSubOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="volverActas"
					path="/w83bIncidenciasIraNuevoActasOP.do"/>
				<forward
					name="incidencias"
					path="/W83bAntesIrEdicionIncidenciaOP.do"/>
		</action>
		
		<action
				path="/w83bDispatchVueltaIncidencias"
				scope="request"
				parameter="w83bSubOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="actas"
					path="/w83bSubOpIncidenciasEnd.do"/>
				<forward
					name="busqActas"
					path="/w83bSubOpIncidenciasEnd.do"/>
				<forward
					name="incidencias"
					path="/W83bTablaIncidenciasAtrasEdicion.do"/>
		</action>
		
		<action
				path="/w83bInicioEdicionIncidencias"
				scope="request"
				parameter="w83bSubOpFlag"
				type="w83b.w83bUtilidades.W83bDispatchValueContexto">
				<forward
					name="actas"
					path="/w83bInicioEdicionIncidenciasActas.do"/>
				<forward
					name="incidencias"
					path="/w83bInicioEdicionIncidenciasIncidencias.do"/>
		</action>
		
		<action path="/w83bTablaIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaIncidenciasOutOP.do"/>
			<forward name="find" path="/w83bBusqIncidencias.do"/>
			<forward name="outOP" path="/w83bTablaIncidenciasOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaIncidencias.do"/>
		</action>
		
		<action path="/w83bIncidenciasIraNuevoActasOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bIncidenciasIraNuevoActasAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioNuevaIncidencias.do"/>
			<forward name="error" path="/w83bInicioBusquedaIncidencias.do"/>
		</action>
		
		<action path="/w83bTablaIncidenciasOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaIncidenciasOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioBusquedaIncidencias.do"/>
			<forward name="error" path="/w83bInicioBusquedaIncidencias.do"/>
		</action>
		
		<action path="/w83bTablaDelegadosIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaDelegadosIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bTablaDelegadosIncidenciasOutOP.do"/>
			<forward name="find" path="/w83bBusqDelegadosIncidencias.do"/>
			<forward name="outOP" path="/w83bTablaDelegadosIncidenciasOutOP.do"/>
			<forward name="error" path="/w83bInicioBusquedaIncidencias.do"/>
		</action>
		
		<action path="/w83bTablaDelegadosIncidenciasOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaDelegadosIncidenciasOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bContarIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bContarIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bContarIncidencias.do"/>
		</action>
		<action path="/w83bBuscarFechaAltaOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bBuscarFechaAltaDelegadoOPAction" 
			 validate="false">
		</action>
		<action path="/w83bContarIncidenciasOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bContarIncidenciasOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bTablaIncidenciasExcel" 
		name="w83bFormBusqIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaIncidenciasExcelAction" 
			 validate="false">
		</action>
		<action path="/w83bTablaIncidenciasFichaExcel" 
		name="w83bFormBusqIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bFichaIncidenciasAction" 
			 validate="false">
		</action>
		<action path="/w83bAtrasBusqActasIncidenciasOP" 
			 scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bAtrasBusqActasIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDispatchVueltaIncidencias.do"/>
		</action>
		<action path="/w83bAtrasActasIncidenciasOP" 
			 scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bGenericoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDispatchVueltaIncidencias.do"/>
		</action>
		
				
		<action path="/w83bObtenerIndiceIncidenciaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bObtenerIncidenciaIndiceOP" 
			 validate="false">
			<forward name="ok" path="/W83bIrEdicionIncidenciaOP.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path="/w83bGuardarIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bGuardarIncidenciasOPAction" 
			 validate="false">
<!--			<forward name="ok" path="/w83bGuardarIncidenciasOutOP.do"/>-->
			<forward name="ok" path="/w83bGuardarIncidencias.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
				
		<action path="/w83bGuardarIncidenciasOutOP" 
		scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bGuardarIncidenciasOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bCargaDoc" 
		scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bCargaDocOPAction" 
			 validate="false">
		</action>
		
				
		<action path="/w83bCargarComboTiposDocumentoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bCargarTiposDocumentoOP" 
			 validate="false">
			<forward name="ok" path="/w83bCargaTiposDocumento.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
						
		<action path="/w83bCargaTiposDocumentoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bCargaTiposDocumentoOutOP" 
			 validate="false">
		</action>
				
		<action path="/w83bBorrarIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bBorrarIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBorrarIncidencias.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
				
		<action path="/w83bValidarBorrarIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bBorrarIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bValidarBorrarIncidencias.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
				
		<action path="/w83bValidarFechaIncidenciasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bValidarFechaIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bValidarFechaIncidencias.do"/>
			<forward name="volverConError" path="/w83bValidarFechaEntradaIncidenciaOutOPAction.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
						
		<action path="/w83bCargaTiposDocumentoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bCargaTiposDocumentoOutOP" 
			 validate="false">
		</action>
				
		<action path="/w83bAdjuntarArchivoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bAdjuntarArchivoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenericoOutOP.do"/>
			 <forward name="okVacio" path="/w83bGenericoAdjuntarOutOP.do" />
			 <forward name="ficherovacio" path="/w83bFicheroVacioOutOP.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path="/w83bFicheroVacioOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bFicheroVacioOutOPAction" 
			 validate="false">
		</action>		
				
		<action path="/w83bObtenerDocumentoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bDescargarDocumentoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDescargarDocumentoOI.do"/>
			<forward name="error" path="/w83bGenericoOutOP.do"/>
		</action>
		
				
		<action path ="/w83bDescargarDocumentoOI" 
			 parameter="w83bDescargarDocumentoIncidenciasOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDescargarDocumentoOutOP.do" />
					<forward name="error" path="/w83bGenericoOutOP.do" />
		</action>
		
				
		<action path="/w83bDescargarDocumentoOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bDescargarDocumentoOutOPAction" 
			 validate="false">
		</action>	
				
		<action path="/w83bNoExisteDniDelegadosOPAction" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bNoExisteDniDelegadosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bNoExisteDniDelegados.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
				
		<action path="/w83bRecuperarEscrutinioDiferenciasOPAction" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bRecuperarEscrutinioDiferenciasOPAction" 
			 validate="false">
			<forward name="busqueda" path="/w83bRecuperarEscrutinioDiferencias.do"/>
			<forward name="vuelta" path="/w83bRecuperarEscrutinioDiferenciasOutOPAction.do"/>
		</action>
				
		<action path="/w83bRecuperarEscrutinioDiferenciasOutOPAction" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bRecuperarEscrutinioDiferenciasOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bNoExisteDniDelegadosOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bNoExisteDniDelegadosOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bExisteActaIncidenciaOPAction" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bExisteActaIncidenciaOPAction" 
			 validate="false">
			<forward name="acta" path="/w83bExisteActa.do"/>
			<forward name="incidencia" path="/w83bExisteIncidencia.do"/>
		</action>
				
		<action path="/w83bDevolverNCentroTrabajoOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bDevolverNCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDevolverNCentroTrabajo.do"/>
		</action>
				
		<action path="/w83bDevolverNCentroTrabajoOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bDevolverNCentroTrabajoOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bExisteActaIncidenciaOutOPAction" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bExisteActaIncidenciaOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bValidarFechaEntradaIncidenciaOPAction" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bValidarFechaEntradaIncidenciaOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bValidarFechaEntradaIncidencia.do"/>
		</action>
				
		<action path="/W83bIncidenciasIraActasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bIncidenciasIraActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bIraActasSubOp.do"/>
		</action>
				
		<action path="/W83bIrEdicionIncidenciaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bIrEdicionIncidenciaAction" 
			 validate="false">
			<forward name="ok" path="/w83bDetalleIncidencia.do"  redirect="true"/>
			<forward name="error" path="/w83bDetalleIncidencia.do"/>
		</action>
				
		<action path="/W83bAntesIrEdicionIncidenciaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bAntesIrEdicionIncidenciaAction" 
			 validate="false">
			<forward name="ok" path="/W83bIrEdicionIncidenciaOP.do"/>
		</action>
				
		<action path="/W83bTablaIncidenciasAtrasEdicion" name="w83bFormBusqIncidencias" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaIncidenciasAtrasEdicionAction" 
			 validate="false">
			<forward name="ok" path="/w83bIrABusquedaIncidenciasOP.do"/>
		</action>
				
		<action path="/w83bValidarFechaEntradaIncidenciaOutOPAction" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bValidarFechaEntradaIncidenciaOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bVueltaResponseResultadoOutOPAction" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bVueltaResponseResultadoOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bTablaCampoSubsanacionOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaIncidenciasSubsanacionOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bTablaIncidenciasSubsanacionDelegadosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaIncidenciasSubsanacionDelegadosOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bTablaIncidenciasAuditoriaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaIncidenciasAuditoriaOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bTablaIncidenciasHistorialOP" scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bTablaIncidenciasHistorialOutOPAction" 
			 validate="false">
		</action>
				
		<action path="/w83bGenericoOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bGenericoOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bGenericoAdjuntarOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bPreavisos.W83bGenericoAdjuntarOutOPAction" 
			 validate="false">
		</action>		
				
		<action path ="/w83bObtenerDocumentoContextoOP" 
					  type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bDescargarDocumentoContextoOPAction"					  												 
			 scope="request">
			<forward name="error" path="/w83bGenericoOutOP.do" />
		</action>
	 
		
		<action
				path ="/w83bAtrasIncidenciasBusq" forward="paginaIncidencias"/>
	
				<action path="/w83bGenNumRegistroOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bDarAltaRegistroNuevoNumeroEntradaDelegacionAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenNumRegistro.do"/>
		</action>
		<action path="/w83bGenNumRegistroOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComun.W83bDarAltaRegistroNuevoNumeroEntradaDelegacionOutAction" 
			 validate="false">
		</action>		
		
		<action path="/W83bGenericoActasIncidenciasOPAction" 
			scope="request" type="w83b.w83bOperacionesPaso.w83bIncidencias.W83bGenericoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDetalleIncidencia.do"/>
		</action>
		
<!--		OPERACIONES INTERNAS-->
		 <action path ="/w83bGenNumRegistro" 
			 parameter="w83bDarAltaRegistroNuevoNumeroEntradaDelegacionOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenNumRegistroOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaActas.do" />
		</action>
		<action path ="/w83bContarIncidencias" 
			 parameter="w83bContarIncidenciasOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaIncidencias.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bContarIncidenciasOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaIncidencias.do" />
		</action>
		<action path ="/w83bBusqIncidencias" 
			 parameter="w83bBusqIncidenciasOI" 
			 validate="false" 
			 input="/w83bInicioBusquedaIncidencias.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaIncidenciasOutOP.do" />
					<forward name="error" path="/w83bInicioBusquedaIncidencias.do" />
		</action>
		<action path ="/w83bBusqDelegadosIncidencias" 
			 parameter="w83bBusqDelegadosIncidenciasOI" 
			 validate="false" 
			 input="/w83bInicioNuevaIncidencias.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaDelegadosIncidenciasOutOP.do" />
					<forward name="error" path="/w83bInicioNuevaIncidencias.do" />
		</action>
		<action path ="/w83bGuardarIncidencias" 
			 parameter="w83bGuardarIncidenciaOI" 
			 validate="false" 
			 input="/w83bInicioNuevaIncidencias.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenericoOutOP.do" />
					<forward name="error" path="/w83bInicioNuevaIncidencias.do" />
		</action>
		
				
		<action path ="/w83bCargaTiposDocumento" 
			 parameter="w83bCargaTiposDocumentoIncidenciasOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargaTiposDocumentoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
				
		<action path ="/w83bNoExisteDniDelegados" 
			 parameter="w83bNoExisteDniDelegadosOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bNoExisteDniDelegadosOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
				
		<action path ="/w83bRecuperarEscrutinioDiferencias" 
			 parameter="w83bRecuperarEscrutinioDiferenciasOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bRecuperarEscrutinioDiferenciasOutOPAction.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
				
		<action path ="/w83bExisteActa" 
			 parameter="w83bExisteActaOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bExisteActaIncidenciaOutOPAction.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
				
		<action path ="/w83bDevolverNCentroTrabajo" 
			 parameter="w83bDevolverNCentroTrabajoOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bDevolverNCentroTrabajoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
				
		<action path ="/w83bValidarFechaEntradaIncidencia" 
			 parameter="w83bValidarFechaEntradaIncidenciaOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bValidarFechaEntradaIncidenciaOutOPAction.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
						
		<action path ="/w83bExisteIncidencia" 
			 parameter="w83bExisteIncidenciaOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bExisteActaIncidenciaOutOPAction.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
						
		<action path ="/w83bDetalleIncidencia" 
			 parameter="w83bDetalleIncidenciaOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			  validate="false" 
			 input="/w83bInicioBusquedaIncidencias.do" 
			 scope="request">
					<forward name="ok" path="/w83bInicioEdicionIncidencias.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
						
		<action path ="/w83bActualizarIncidenciaOI" 
			 parameter="w83bActualizarIncidenciaOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			  validate="true" 
			 input="/W83bIrEdicionIncidenciaOP.do" 
			 scope="request">
					<forward name="ok" path="/W83bIrEdicionIncidenciaOP.do" />
					<forward name="error" path="/W83bIrEdicionIncidenciaOP.do" />
		</action>
		<action path ="/w83bBuscarDatosFichaActa" 
			 parameter="w83bBuscarDatosFichaActaOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bTablaIncidenciasFichaActaExcel.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		<action path="/w83bTablaIncidenciasFichaActaExcel" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bActas.W83bActaExcelAction" 
			 validate="false">
		</action>
		<action path ="/w83bBorrarIncidencias" 
			 parameter="w83bBorradoFisicoIncidenciasOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			  validate="false" 
			 input="/w83bInicioBusquedaIncidencias.do" 
			 scope="request">
					<forward name="ok" path="/w83bGenericoOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
						
		<action path ="/w83bValidarBorrarIncidencias" 
			 parameter="w83bValidarBorradoFisicoIncidenciasOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			  validate="false" 
			 input="/w83bInicioBusquedaIncidencias.do" 
			 scope="request">
					<forward name="ok" path="/w83bVueltaResponseResultadoOutOPAction.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
						
		<action path ="/w83bValidarFechaIncidencias" 
			 parameter="w83bValidarFechaIncidenciasOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			  validate="false" 
			 input="/w83bInicioBusquedaIncidencias.do" 
			 scope="request">
					<forward name="ok" path="/w83bValidarFechaEntradaIncidenciaOutOPAction.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bIraActasSubOp" parameter="/actasOP/w83bSubOpActasInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/incidenciasOP/w83bDispatchVueltaActas.do" />
		</action>
		
		<!-- SUB-OPERACIONES -->
		<action path="/w83bSubOpIncidenciasInit" scope="request" forward="/W83bGenericoActasIncidenciasOPAction.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83bSubOpIncidenciasEnd" scope="request" forward="/w83bSubOpIncidenciasInit.do">
			<set-property property="subOp" value="end" />
		</action>
		<!-- FIN SUB-OPERACIONES -->
		
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/mantenimientos/validation-incidencias.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>